Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001020Zandronum[All Projects] Bugpublic2012-09-07 07:532018-08-27 18:23
Reporterunknownna 
Assigned ToLeonard 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.0 
Target VersionFixed in Version3.1 
Summary0001020: BFG coop spy sound desync
Description
Quote from unknownna
You can also desync the BFG attack sound by tapping the +attack button. The other client will hear the sound play when it's not supposed to.

Although we fixed the regular BFG sound desync, it's still there when coop spying. I recorded a demo of it with version 1.0.
Steps To Reproduce1. zandronum.exe -host
2. Connect 2 clients to the server.
3. Join the game with client A.
4. "snd_sfxvolume 0" in the console with client A.
5. Pick up a BFG with client A (perhaps set sv_infiniteammo to 1 as well in the server console).
6. Coop spy on client A with client B.
7. Fire the BFG with client A.
Attached Files? file icon 2012.09.07_09.48.44_doom2.cld [^] (19,267 bytes) 2012-09-07 07:53

- Relationships
related to 0000553confirmed SSG A_CheckReload coop spy desync 
related to 0001041resolvedLeonard +attack desync between clients causes ammo values to desync 

-  Notes
User avatar (0014911)
Ru5tK1ng (updater)
2016-05-14 17:30

Currently with 2.1.2, the desync occurs after firing and running out of ammo with the BFG. When the player starts switching to the next available weapon with ammo while holding down fire, if it is a pistol, chaingun, or shotguns, the firing sound will desync.
User avatar (0019440)
unknownna (updater)
2018-08-27 18:22

This too seems to have been fixed in 3.1 with the unlagged fixes and the addition of a movement buffer regulator. The sounds no longer desync when tapping +attack like it does in 3.0 and before.

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2012-09-07 07:53 unknownna New Issue
2012-09-07 07:53 unknownna File Added: 2012.09.07_09.48.44_doom2.cld
2012-09-07 07:53 unknownna Status new => confirmed
2012-09-07 10:35 unknownna Relationship added related to 0000553
2016-05-14 17:30 Ru5tK1ng Note Added: 0014911
2018-08-27 06:49 unknownna Relationship added related to 0001041
2018-08-27 18:22 unknownna Note Added: 0019440
2018-08-27 18:23 unknownna Assigned To => Leonard
2018-08-27 18:23 unknownna Status confirmed => resolved
2018-08-27 18:23 unknownna Resolution open => fixed
2018-08-27 18:23 unknownna Fixed in Version => 3.1






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker